package com.liquidnet.service.goblin.dto.manage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "GoblinStoreCertificationVo", description = "店铺认证详情")
@Data
public class GoblinStoreCertificationVo implements java.io.Serializable, Cloneable {
    private static final long serialVersionUID = 5046460327295113971L;
    @ApiModelProperty(position = 11, value = "店铺认证状态[1-店铺审核中|2-审核不通过|3-审核通过]")
    private String certStatus;
    @ApiModelProperty(position = 12, value = "拒绝原因[256]")
    private String reason;

    private static final GoblinStoreCertificationVo obj = new GoblinStoreCertificationVo();
    public static GoblinStoreCertificationVo getNew() {
        try {
            return (GoblinStoreCertificationVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinStoreCertificationVo();
        }
    }
}
